Subject: Re: bug#7583: 23.2; ido loads tramp too eagerly

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 17 Oct 2011 19:02:41 +0200

Stefan Monnier <[email-masked]> writes:

>>>> without starting tramp
>>> I do not know what that means.
>> I mean trying to connect to a remote host via tramp.
>
> So you're saying that Tramp tries to connect to "toto" when you type
> "/toto:"?
Yes, but that is what we expect. (/toto: should be a valid hostname
maybe set in ~/.ssh/config)
What we don't want is when you write:
/ssh: => tramp try to connect
or
/sudo: ==> tramp try to connect

we expect tramp to connect only when we have:
/sudo:: and not before (i.e before entering the second ":").

> If so, I think the problem is indeed the same as for
> icomplete and ido and the solution is to bind the variable
> `non-essential'.
Yes maybe.

But I have no problem here with my code (anything), 
it seem the problem is in ido and/or icomplete.

And to implement completion on method/users/hostname, `non-essential' is
no help for me, i will use something else later, as described in
one of precedent post.
Anyway i am glad to now existence of `non-essential'.
Thanks.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997